ARG NODE_VERSION=11.10.0
###
# 1. Dependencies
###
FROM node:${NODE_VERSION}-alpine as dependencies

ARG NODE_ENV
ENV NODE_ENV ${NODE_ENV}

COPY package*.json ./

# Install the node-gyp collection of tools    
RUN apk --no-cache add python make g++

RUN npm install

###
# 2. Application
###
FROM node:${NODE_VERSION}-alpine
# Create app directory
WORKDIR /usr/src/api

COPY --from=dependencies node_modules node_modules
COPY . .

ENV NODE_ENV production
ENV PORT 3030

EXPOSE 3030

CMD [ "npm", "start"]